//
//  LIMessageText.h
//  LIFramework: LIMessageText
//
//  Created by 2510 on Mon Oct 28 2002.
//  Copyright (c) 2002 by 2510. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "LIProtocol.h"

typedef enum
{
	LIMessageTextAlignLeft,
	LIMessageTextAlignCenter,
	LIMessageTextAlignRight
}	LIMessageTextAlignment;

@interface LIMessageText : NSView <NSCoding, LIObject>
{
	@private
		IBOutlet NSFormatter	*formatter;
	
	@protected
		NSString				*title;
		NSFont					*font;
		int						alignment;
		
		int						bundleType;
		NSString				*bundleClassName;
		NSString				*table;
}

// Text
- (void)localize;

- (void)setFont:(NSFont *)aFont;
- (NSFont *)font;

- (void)setAlignment:(LIMessageTextAlignment)alignment;
- (LIMessageTextAlignment)alignment;

- (void)setStringValue:(NSString *)string;
- (NSString *)stringValue;

- (void)setIntValue:(int)value;
- (void)setFloatValue:(float)value;
- (void)setDoubleValue:(double)value;
- (int)intValue;
- (float)floatValue;
- (double)doubleValue;

- (void)takeIntValueFrom:(id)sender;
- (void)takeFloatValueFrom:(id)sender;
- (void)takeDoubleValueFrom:(id)sender;
- (void)takeStringValueFrom:(id)sender;

// Protocol <LILocalizable>
- (void)setBundleType:(int)aBundleType;
- (int)bundleType;
- (void)setBundleClassName:(NSString *)aClassName;
- (NSString *)bundleClassName;
- (void)setTable:(NSString *)aTable;
- (NSString *)table;
@end
